Package com.avaya.clientservices.media

## Class VoIPConfigurationAudio

- java.lang.Object
- - com.avaya.clientservices.media.VoIPConfigurationAudio

-     public class VoIPConfigurationAudio
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VoIPConfigurationAudio()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object input)` |
    `AudioCodec[]` | `getAudioCodecList()` |
    `AutomaticGainControlConfiguration` | `getAutomaticGainControlConfiguration()` | Get Automatic Gain Control configuration.
    `BackgroundNoiseGenerationMode` | `getBackgroundNoiseGenerationMode()` | Get the Background Noise Generation mode.
    `int[]` | `getCodecList()` |
    `boolean` | `getDisableSilenceSup()` | Get the Silence Suppression status.
    `int` | `getDscpAudio()` |
    `DSCPPrecedenceConfiguration` | `getDSCPPrecedenceConfiguration()` |
    `EchoCancellationMobileMode` | `getEchoCancellationMobileMode()` | Get the Mobile Echo Cancellation mode.
    `EchoCancellationMode` | `getEchoCancellationMode()` | Get the Echo Cancellation mode.
    `int` | `getFirstPingInterval()` |
    `Layer2PriorityMarking` | `getLayer2Marking()` |
    `int` | `getMaxPortRange()` |
    `boolean` | `getMediaEncryptionEnabled()` | Get the Media Encryption status.
    `int` | `getMinPortRange()` |
    `OpusCodecProfileMode` | `getOpusMode()` | Get the Opus Codec profile/mode.
    `int` | `getOpusPayloadType()` | Get the Opus RTP Payload Type.
    `int` | `getPeriodicPingInterval()` |
    `AutomaticGainControlMode` | `getReceiveAutomaticGainControlMode()` | Get the Receive Automatic Gain Control mode.
    `NoiseSuppressionMode` | `getReceiveNoiseSuppressionMode()` | Get the Receive Noise Suppression mode.
    `int` | `getTelephonyEventPayloadType()` |
    `java.lang.String` | `getToneFilePath()` |
    `AutomaticGainControlMode` | `getTransmitAutomaticGainControlMode()` | Get the Transmit Automatic Gain Control mode.
    `NoiseSuppressionMode` | `getTransmitNoiseSuppressionMode()` | Get the Transmit Noise Suppression mode.
    `VoiceActivityDetectionMode` | `getVoiceActivityDetectionMode()` | Get the Voice Activity Detection mode.
    `boolean` | `isAutomaticDscpConfigurationEnabled()` | Returns the state for the dscp configuration mode.
    `void` | `setAudioCodecList​(java.util.List<AudioCodec> codecList)` |
    `void` | `setAutomaticDscpConfigurationEnabled​(boolean enabled)` | Set the automatic dscp configuration mode.
    `void` | `setAutomaticGainControlConfiguration​(boolean limiterEnable, int targetLeveldBOv, int digitalCompressionGaindB)` | Set Automatic Gain Control Configuration.
    `void` | `setAutomaticGainControlConfiguration​(AutomaticGainControlConfiguration config)` |
    `void` | `setBackgroundNoiseGenerationMode​(BackgroundNoiseGenerationMode mode)` | Set the Background Noise Generation mode.
    `void` | `setCodecList​(java.util.List<java.lang.Integer> codecList)` |
    `void` | `setDisableSilenceSup​(boolean disable)` | Enable or disable transmit Silence Suppression.
    `void` | `setDscpAudio​(int dscpAudio)` |
    `void` | `setDSCPPrecedenceConfiguration​(DSCPPrecedenceConfiguration config)` |
    `void` | `setEchoCancellationMobileMode​(EchoCancellationMobileMode mode)` | Set the Mobile Echo Cancellation mode.
    `void` | `setEchoCancellationMode​(EchoCancellationMode mode)` | Set the Echo Cancellation mode.
    `void` | `setFirstPingInterval​(int firstPingInterval)` |
    `void` | `setLayer2Marking​(Layer2PriorityMarking priority)` |
    `void` | `setMaxPortRange​(int maxPortRange)` |
    `void` | `setMediaEncryptionEnabled​(boolean enable)` | Enable or disable transmit Media Encryption.
    `void` | `setMinPortRange​(int minPortRange)` |
    `void` | `setOpusMode​(OpusCodecProfileMode mode)` | Set the Opus Codec profile/Mode.
    `void` | `setOpusPayloadType​(int nPayloadType)` | Set the Opus RTP Payload Type.
    `void` | `setPeriodicPingInterval​(int periodicPingInterval)` |
    `void` | `setReceiveAutomaticGainControlMode​(AutomaticGainControlMode mode)` | Set the Receive Automatic Gain Control mode.
    `void` | `setReceiveNoiseSuppressionMode​(NoiseSuppressionMode mode)` | Set the Receive Noise Suppression mode.
    `void` | `setTelephonyEventPayloadType​(int nPayloadType)` |
    `void` | `setToneFilePath​(java.lang.String toneFilePath)` |
    `void` | `setTransmitAutomaticGainControlMode​(AutomaticGainControlMode mode)` | Set the Transmit Automatic Gain Control mode.
    `void` | `setTransmitNoiseSuppressionMode​(NoiseSuppressionMode mode)` | Set the Transmit Noise Suppression mode.
    `void` | `setVoiceActivityDetectionMode​(VoiceActivityDetectionMode mode)` | Set the Voice Activity Detection mode.

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoIPConfigurationAudio

          public VoIPConfigurationAudio()

  - ### Method Detail

    - #### setEchoCancellationMode

          public void setEchoCancellationMode​(EchoCancellationMode mode)

      Set the Echo Cancellation mode.
      Parameters:
        `mode` - New EchoCancellationMode

    - #### getEchoCancellationMode

          public EchoCancellationMode getEchoCancellationMode()

      Get the Echo Cancellation mode.
      Returns:
        Current EchoCancellationMode

    - #### setEchoCancellationMobileMode

          public void setEchoCancellationMobileMode​(EchoCancellationMobileMode mode)

      Set the Mobile Echo Cancellation mode.
      Parameters:
        `mode` - New EchoCancellationMobileMode

    - #### getEchoCancellationMobileMode

          public EchoCancellationMobileMode getEchoCancellationMobileMode()

      Get the Mobile Echo Cancellation mode.
      Returns:
        Current EchoCancellationMobileMode

    - #### setTransmitNoiseSuppressionMode

          public void setTransmitNoiseSuppressionMode​(NoiseSuppressionMode mode)

      Set the Transmit Noise Suppression mode.
      Parameters:
        `mode` - New NoiseSuppressionMode

    - #### getTransmitNoiseSuppressionMode

          public NoiseSuppressionMode getTransmitNoiseSuppressionMode()

      Get the Transmit Noise Suppression mode.
      Returns:
        Current NoiseSuppressionMode

    - #### setReceiveNoiseSuppressionMode

          public void setReceiveNoiseSuppressionMode​(NoiseSuppressionMode mode)

      Set the Receive Noise Suppression mode.
      Parameters:
        `mode` - New NoiseSuppressionMode

    - #### getReceiveNoiseSuppressionMode

          public NoiseSuppressionMode getReceiveNoiseSuppressionMode()

      Get the Receive Noise Suppression mode.
      Returns:
        Current NoiseSuppressionMode

    - #### setBackgroundNoiseGenerationMode

          public void setBackgroundNoiseGenerationMode​(BackgroundNoiseGenerationMode mode)

      Set the Background Noise Generation mode.
      Parameters:
        `mode` - New BackgroundNoiseGenerationMode

    - #### getBackgroundNoiseGenerationMode

          public BackgroundNoiseGenerationMode getBackgroundNoiseGenerationMode()

      Get the Background Noise Generation mode.
      Returns:
        Current BackgroundNoiseGenerationMode mode

    - #### setVoiceActivityDetectionMode

          public void setVoiceActivityDetectionMode​(VoiceActivityDetectionMode mode)

      Set the Voice Activity Detection mode.
      Parameters:
        `mode` - New VoiceActivityDetectionMode

    - #### getVoiceActivityDetectionMode

          public VoiceActivityDetectionMode getVoiceActivityDetectionMode()

      Get the Voice Activity Detection mode.
      Returns:
        Current VoiceActivityDetectionMode

    - #### setTransmitAutomaticGainControlMode

          public void setTransmitAutomaticGainControlMode​(AutomaticGainControlMode mode)

      Set the Transmit Automatic Gain Control mode.
      Parameters:
        `mode` - New AutomaticGainControlMode

    - #### getTransmitAutomaticGainControlMode

          public AutomaticGainControlMode getTransmitAutomaticGainControlMode()

      Get the Transmit Automatic Gain Control mode.
      Returns:
        Current AutomaticGainControlMode

    - #### setReceiveAutomaticGainControlMode

          public void setReceiveAutomaticGainControlMode​(AutomaticGainControlMode mode)

      Set the Receive Automatic Gain Control mode.
      Parameters:
        `mode` - New AutomaticGainControlMode

    - #### getReceiveAutomaticGainControlMode

          public AutomaticGainControlMode getReceiveAutomaticGainControlMode()

      Get the Receive Automatic Gain Control mode.
      Returns:
        Current AutomaticGainControlMode

    - #### setAutomaticGainControlConfiguration

          public void setAutomaticGainControlConfiguration​(boolean limiterEnable,
                                                           int targetLeveldBOv,
                                                           int digitalCompressionGaindB)

      Set Automatic Gain Control Configuration.
      Parameters:
        `limiterEnable` - Sets the new limiter status.
        `targetLeveldBOv` - Sets the new target level in dB.
        `digitalCompressionGaindB` - Sets the new compression gain in dB.

    - #### setAutomaticGainControlConfiguration

          public void setAutomaticGainControlConfiguration​(AutomaticGainControlConfiguration config)

    - #### getAutomaticGainControlConfiguration

          public AutomaticGainControlConfiguration getAutomaticGainControlConfiguration()

      Get Automatic Gain Control configuration.
      Returns:
        AutomaticGainControlConfiguration object with current configuration on success, null on failure

    - #### setDisableSilenceSup

          public void setDisableSilenceSup​(boolean disable)

      Enable or disable transmit Silence Suppression.
      Parameters:
        `disable` - True to disable Silence Suppression

    - #### getDisableSilenceSup

          public boolean getDisableSilenceSup()

      Get the Silence Suppression status.
      Returns:
        boolean True if disabled; false, otherwise

    - #### setOpusPayloadType

          public void setOpusPayloadType​(int nPayloadType)

      Set the Opus RTP Payload Type.
      Parameters:
        `nPayloadType` - RTP Payload Type

    - #### getOpusPayloadType

          public int getOpusPayloadType()

      Get the Opus RTP Payload Type.
      Returns:
        RTP Payload Type

    - #### setOpusMode

          public void setOpusMode​(OpusCodecProfileMode mode)

      Set the Opus Codec profile/Mode.
      Parameters:
        `mode` - New OpusCodecProfileMode

    - #### getOpusMode

          public OpusCodecProfileMode getOpusMode()

      Get the Opus Codec profile/mode.
      Returns:
        Current OpusCodecProfileMode

    - #### setMediaEncryptionEnabled

          public void setMediaEncryptionEnabled​(boolean enable)

      Enable or disable transmit Media Encryption.
      Parameters:
        `enable` - Enable or disable Media Encryption

    - #### getMediaEncryptionEnabled

          public boolean getMediaEncryptionEnabled()

      Get the Media Encryption status.
      Returns:
        boolean True if enabled; false, otherwise

    - #### setDSCPPrecedenceConfiguration

          public void setDSCPPrecedenceConfiguration​(DSCPPrecedenceConfiguration config)

    - #### getDSCPPrecedenceConfiguration

          public DSCPPrecedenceConfiguration getDSCPPrecedenceConfiguration()

    - #### setDscpAudio

          public void setDscpAudio​(int dscpAudio)

    - #### getDscpAudio

          public int getDscpAudio()

    - #### setAutomaticDscpConfigurationEnabled

          public void setAutomaticDscpConfigurationEnabled​(boolean enabled)

      Set the automatic dscp configuration mode. In the automatic mode the best available source for the DSCP value will be used. It can be default value, PPM value, etc. In non-automatic mode the value from this config will be used.
      Parameters:
        `enabled` - enable or disable

    - #### isAutomaticDscpConfigurationEnabled

          public boolean isAutomaticDscpConfigurationEnabled()

      Returns the state for the dscp configuration mode. The state can be changed via the `setAutomaticDscpConfigurationEnabled` method.
      Returns:
        enabled or disabled

    - #### setFirstPingInterval

          public void setFirstPingInterval​(int firstPingInterval)

    - #### getFirstPingInterval

          public int getFirstPingInterval()

    - #### setPeriodicPingInterval

          public void setPeriodicPingInterval​(int periodicPingInterval)

    - #### getPeriodicPingInterval

          public int getPeriodicPingInterval()

    - #### setMinPortRange

          public void setMinPortRange​(int minPortRange)

    - #### getMinPortRange

          public int getMinPortRange()

    - #### setMaxPortRange

          public void setMaxPortRange​(int maxPortRange)

    - #### getMaxPortRange

          public int getMaxPortRange()

    - #### setTelephonyEventPayloadType

          public void setTelephonyEventPayloadType​(int nPayloadType)

    - #### getTelephonyEventPayloadType

          public int getTelephonyEventPayloadType()

    - #### setCodecList

          public void setCodecList​(java.util.List<java.lang.Integer> codecList)

    - #### getCodecList

          public int[] getCodecList()

    - #### setAudioCodecList

          public void setAudioCodecList​(java.util.List<AudioCodec> codecList)

    - #### getAudioCodecList

          public AudioCodec[] getAudioCodecList()

    - #### setToneFilePath

          public void setToneFilePath​(java.lang.String toneFilePath)

    - #### getToneFilePath

          public java.lang.String getToneFilePath()

    - #### setLayer2Marking

          public void setLayer2Marking​(Layer2PriorityMarking priority)

    - #### getLayer2Marking

          public Layer2PriorityMarking getLayer2Marking()

    - #### equals

          public boolean equals​(java.lang.Object input)

      Overrides:
        `equals` in class `java.lang.Object`